package com.brilliance.isc.mda.dao;
import com.brilliance.isc.vo.component.ore.OreInfoVo;
import com.brilliance.isc.vo.lg.BcrincRequestVo;
import com.brilliance.isc.vo.report.FinselRequestVo;
import com.brilliance.isc.vo.report.ReportForMonVo;
import org.apache.ibatis.annotations.Param;

import com.brilliance.isc.bo.Ore;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface OreMapper {

    int insert(Ore record);

    int insertSelective(Ore record);

    int updateByPrimaryKeySelective(Ore record);

    int updateByPrimaryKey(Ore record);

    int deleteByPrimaryKey(Ore record);

    int deleteByIds(Collection<Object> collection);

    Ore selectByPrimaryKey(Ore record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ore> dyncRead(Map<String,Object> dyncMap);

    List<Ore> selectByOrdinr(@Param("ordinr") String ordinr);

    List<OreInfoVo> selectAllByOrdinr(@Param("ordinr") String ordinr);

    List<Ore> selectByOrdinrOrderByBegdattimDesc(@Param("ordinr") String ordinr);

    Ore selectOneByOrdinr(@Param("ordinr") String ordinr);

    Ore getBchkeyinrByOre(@Param("ordinr") String ordinr);

    Ore selectOneByOrdinrAndTyp(@Param("ordinr") String ordinr,@Param("typ") String typ);

    List<Ore> selectOneByOrdinrAndTypList(@Param("ordinr") String ordinr,@Param("typ") String typ);

    int updateDeleteByOrdinr(@Param("ordinr") String ordinr);

    List<Ore> getOrdinr(BcrincRequestVo bcrincRequestVo);

    int updateRemarkByIds(@Param("list") List<String> list,@Param("remark") String remark);

    /**
     * 业务压力统计表
     */
    List<ReportForMonVo> reportForMon(FinselRequestVo finselRequestVo);
}